searchData={"items":[{"type":"module","title":"Envvar","doc":"A simple dotenv parser that actually works for loading environment variables from a `.env` file.\n\nTo install,\n1. Add `envvar` to your list of dependencies in `mix.exs`:\n\n  ```\n    def deps do\n      [\n        {:envvar, \"~> 0.1.0\"}\n      ]\n    end\n  ```\n2. Add the following lines to `config/runtime.exs` and read environment variables as required\n\n  ```\n    require Envvar\n    Envvar.load()\n  ```","ref":"Envvar.html"},{"type":"function","title":"Envvar.load/1","doc":"Loads environment variables from a file.\nBy default, it reads from \".env\" file if no file path is specified.","ref":"Envvar.html#load/1"},{"type":"function","title":"Parameters - Envvar.load/1","doc":"* `file` - Path to the environment file (default: \".env\")","ref":"Envvar.html#load/1-parameters"},{"type":"function","title":"Returns - Envvar.load/1","doc":"* Returns the result of parsing and setting environment variables if file is read successfully\n  * Prints warning message if file cannot be read","ref":"Envvar.html#load/1-returns"},{"type":"function","title":"Examples - Envvar.load/1","doc":"iex> Envvar.load()\n    # Loads vars from .env file\n\n    iex> Envvar.load(\"custom.env\")\n    # Loads vars from custom.env file","ref":"Envvar.html#load/1-examples"}],"proglang":"elixir","content_type":"text/markdown","producer":{"name":"ex_doc","version":"0.37.3"}}